/*
 * Copyright 2009-2010 by The Regents of the University of California
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * you may obtain a copy of the License from
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package edu.uci.ics.hyracks.storage.am.btree.impls;

import java.util.ArrayList;
import java.util.Stack;

import edu.uci.ics.hyracks.storage.am.btree.api.IBTreeCursor;
import edu.uci.ics.hyracks.storage.am.btree.api.IBTreeInteriorFrame;
import edu.uci.ics.hyracks.storage.am.btree.api.IBTreeLeafFrame;
import edu.uci.ics.hyracks.storage.am.btree.api.IBTreeMetaDataFrame;

public final class BTreeOpContext {
	public BTreeOp op;
	public IBTreeLeafFrame leafFrame;
	public IBTreeInteriorFrame interiorFrame;
	public IBTreeMetaDataFrame metaFrame;
	public IBTreeCursor cursor;
	public RangePredicate pred;	
	public SplitKey splitKey;
	public int opRestarts = 0;
	public ArrayList<Integer> smPages;	
	public Stack<Integer> pageLsns;
	public ArrayList<Integer> freePages;
}
